interactions:
- request:
    body: '{"merge_method": "merge", "only_allow_merge_if_pipeline_succeeds": true,
      "printing_merge_request_link_enabled": true, "remove_source_branch_after_merge":
      true, "resolve_outdated_diff_discussions": true}'
    headers:
      accept:
      - application/json
      content-length:
      - '202'
      content-type:
      - application/json; charset=utf-8
    method: PUT
    uri: https://gitlab.com/api/v4/projects/22408582
  response:
    body:
      string: '{"id":22408582,"description":"","name":"cicd-test","name_with_namespace":"Diogo
        Regateiro / cicd-test","path":"cicd-test","path_with_namespace":"diogoregateiro/cicd-test","created_at":"2020-11-12T13:52:29.154Z","default_branch":"master","tag_list":[],"topics":[],"ssh_url_to_repo":"git@gitlab.com:diogoregateiro/cicd-test.git","http_url_to_repo":"https://gitlab.com/diogoregateiro/cicd-test.git","web_url":"https://gitlab.com/diogoregateiro/cicd-test","readme_url":"https://gitlab.com/diogoregateiro/cicd-test/-/blob/master/README.md","avatar_url":null,"forks_count":0,"star_count":0,"last_activity_at":"2022-01-02T13:54:37.581Z","namespace":{"id":9662055,"name":"Diogo
        Regateiro","path":"diogoregateiro","kind":"user","full_path":"diogoregateiro","parent_id":null,"avatar_url":"/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"},"container_registry_image_prefix":"registry.gitlab.com/diogoregateiro/cicd-test","_links":{"self":"https://gitlab.com/api/v4/projects/22408582","issues":"https://gitlab.com/api/v4/projects/22408582/issues","merge_requests":"https://gitlab.com/api/v4/projects/22408582/merge_requests","repo_branches":"https://gitlab.com/api/v4/projects/22408582/repository/branches","labels":"https://gitlab.com/api/v4/projects/22408582/labels","events":"https://gitlab.com/api/v4/projects/22408582/events","members":"https://gitlab.com/api/v4/projects/22408582/members"},"packages_enabled":true,"empty_repo":false,"archived":false,"visibility":"public","owner":{"id":7312977,"username":"diogoregateiro","name":"Diogo
        Regateiro","state":"active","avatar_url":"https://gitlab.com/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"},"resolve_outdated_diff_discussions":true,"container_expiration_policy":{"cadence":"1d","enabled":false,"keep_n":10,"older_than":"90d","name_regex":".*","name_regex_keep":null,"next_run_at":"2020-11-13T13:52:29.185Z"},"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"container_registry_enabled":true,"service_desk_enabled":true,"service_desk_address":"contact-project+diogoregateiro-cicd-test-22408582-issue-@incoming.gitlab.com","can_create_merge_request_in":true,"issues_access_level":"enabled","repository_access_level":"enabled","merge_requests_access_level":"enabled","forking_access_level":"enabled","wiki_access_level":"enabled","builds_access_level":"enabled","snippets_access_level":"enabled","pages_access_level":"enabled","operations_access_level":"enabled","analytics_access_level":"enabled","container_registry_access_level":"enabled","emails_disabled":null,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":7312977,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"EgyczggpTTswFrqydFFg","ci_default_git_depth":50,"ci_forward_deployment_enabled":true,"ci_job_token_scope_enabled":false,"public_jobs":true,"build_git_strategy":"fetch","build_timeout":3600,"auto_cancel_pending_pipelines":"enabled","build_coverage_regex":null,"ci_config_path":"","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"allow_merge_on_skipped_pipeline":null,"restrict_user_defined_variables":false,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":false,"remove_source_branch_after_merge":true,"printing_merge_request_link_enabled":true,"merge_method":"merge","squash_option":"default_off","suggestion_commit_message":null,"merge_commit_template":null,"squash_commit_template":null,"auto_devops_enabled":false,"auto_devops_deploy_strategy":"continuous","autoclose_referenced_issues":true,"keep_latest_artifact":true,"approvals_before_merge":1,"mirror":false,"external_authorization_classification_label":"","marked_for_deletion_at":null,"marked_for_deletion_on":null,"requirements_enabled":true,"security_and_compliance_enabled":true,"compliance_frameworks":[],"issues_template":null,"merge_requests_template":null,"merge_pipelines_enabled":false,"merge_trains_enabled":false}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6c861d3dbcf65d33-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Tue, 04 Jan 2022 17:16:22 GMT
      Etag:
      - W/"13cd2357a10bd5b129385224f8a1ff85"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-10-lb-gprd
      GitLab-SV:
      - localhost
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '7'
      RateLimit-Remaining:
      - '1993'
      RateLimit-Reset:
      - '1641316642'
      RateLimit-ResetTime:
      - Tue, 04 Jan 2022 17:17:22 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=cW9Mwo1Iyv3CEFgZtEKdpY68vHihA4RARczrtLjgTTFthy8uJKSP%2FVpwZD9Yx7gREPYBiL7JbuFTL8%2Bwxwsjn3eqMJOFIcdTfTazTrA3OAmxVpMC2hJrjHgSqeE%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 01FRK1F0QV3R6EAYDZAAW26HCZ
      X-Runtime:
      - '0.582781'
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22408582
version: 1
